### Method

# GUPnP ServiceProxyActionIter get_value_as

since: 1.6.8

#### Declaration [src]

    gboolean
    gupnp_service_proxy_action_iter_get_value_as (
      GUPnPServiceProxyActionIter* self,
      GType type,
      GValue* value
    )

#### Description [src]

Get the value of the current parameter.

Converts the value to the given type, similar to the other finish_action functions.

Available since: 1.6.8

#### Parameters

`type`

  Type: `GType`

  The type to convert the value to.

`value`

  Type: `GValue`

  The value.

  The argument will be set by the function.
  The returned data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE` if the value could be read successfully.